
<html>
    <head>
        <title>BOOTSTRAP</title>
        <meta charset="UTF-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <link href="../css/estilo.css" rel="stylesheet" type="text/css"/>
        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    </head>
    <body class="fundo">
        
        <style type = "text/css">

            a:link{
                color:#4D88F0;
                font-weight: bold;
                text-decoration: underline;
            }

            a:visited{
                color:#A3313C;
                font-weight: bold;
                text-decoration: underline;
            }

            a:hover {
                background: #000000; 
                color: #FFFFFF;
            }

        </style>
        
        <script type="text/javascript">
            $('document').ready(function (){
                $('tbody tr:even').addClass('tr_par') ;
                $('tbody tr:odd').addClass('tr_impar') ;
            });
            
            function buscar(){
                
                var linhas = $('tbody tr');
                
                for (var i = 0; i < linhas.length; i++){
                    console.log(linhas[i].text());
                }
            }
        </script>
        
        
        
        <h1 class="titulo"> Bootstrap </h1>
        <hr />
        <br />
        <p class="texto"> Classe: <input id = "campoBusca" type="text"/> <input type="button" value="buscar" onclick="buscar()"/></p>
        <br />
        <br />
        <br />
        
        <table border="1" width="100%">
            <thead>
                <tr>
                   <th class = "texto" width = "1%"> Código </th> 
                   <th class = "texto" width = "10%"> Classe </th> 
                   <th class = "texto" width = "62%"> Descrição </th> 
                   <th class = "texto" width = "3%"> Link </th>                 

                </tr>
            </thead>
            <tbody>
                <tr>
                    <td class = "texto">001</td>
                    <td class = "tabela">.collapse</td>
                    <td class = "texto">Cria um botão que ao ser clicado, esconde ou mostra o texto.</td>
                    <td class = "texto"> <a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_collapsible&stacked=h" target="blank">Link</a> </td>
                </tr>
                <tr>
                    <td class = "texto">002</td>
                    <td class = "tabela">.nav-tabs</td>
                    <td class = "texto">Este comando cria abas de menus.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_tabs_dynamic&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">003</td>
                    <td class = "tabela">.navbar-btn</td>
                    <td class = "texto">Este comando cria abas de menus onde a aba selecionada vira um botão.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_navbar_btn&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">003</td>
                    <td class = "tabela">.pagination</td>
                    <td class = "texto">Comando usado para criar um numerador de paginas.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_pagination&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">005</td>
                    <td class = "tabela">.popover</td>
                    <td class = "texto">Abrir um popup quando o usuario clica em um elemento.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_popover&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">006</td>
                    <td class = "tabela">.progress-bar</td>
                    <td class = "texto">Cria uma barra de carregamento.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_progressbar1&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">007</td>
                    <td class = "tabela">.tooltip</td>
                    <td class = "texto">Abre um popup quando o usuario passa o mouse sobre o elemento.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_tooltip&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">008</td>
                    <td class = "tabela">.thumbnail</td>
                    <td class = "texto">Cria uma borda ao redor de um elemento para que pareça menor.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_img_thumbnail2&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">009</td>
                    <td class = "tabela">.text-warning</td>
                    <td class = "texto">Deixa o texto amarelo indicando advertencia.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_txt_colors&stacked=h" target="blank">Link</a></td>
                </tr>
                <tr>
                    <td class = "texto">010</td>
                    <td class = "tabela">.pull-right</td>
                    <td class = "texto">Alinha um elemento a direita.</td>
                    <td class = "texto"><a href="https://www.w3schools.com/bootstrap/tryit.asp?filename=trybs_ref_hlp_pull-left&stacked=h" target="blank">Link</a></td>
                </tr>
            </tbody>
        </table>
        
    </body>
</html>
